Subject: Re: bug#26136: core-updates: [email-masked] fails due to missing zlib

From: Leo Famulari <[email-masked]>
Date: Sun, 19 Mar 2017 15:26:36 -0400

On Sat, Mar 18, 2017 at 09:19:01PM +0100, Danny Milosavljevic wrote:
> >There is also the question about zlib and the bundled pip: why is it
> >failing now?
> 
> The above doesn't fix the pip zlib problem.  It's very strange: The
> value of the environment variable C_INCLUDE_PATH includes bzip2 but
> not zlib.  Might make python unable to find zlib.
> 
> setup.py does some strange stuff with reading the zlib.h header file
> manually - maybe that broke.  Then it tries to find the library file
> for libz.  The value of the environment variable LIBRARY_PATH doesn't
> contain zlib either.

Ideally, the minimal Python variants could use the bundled zlib found at
'Modules/zlib'. We sort of gave up on this with python-minimal@3 the
last time we had this problem, but maybe we can solve it now :)